# Get pending affiliates

| HTTP method | Endpoint                    |
| ----------- | --------------------------- |
| **GET**     | **/v1/pending\_affiliates** |

## Query string parameters <a href="#query-string-parameters" id="query-string-parameters"></a>

| Conditions | Parameters                | Type    | Description                                                                                                                                                               |
| ---------- | ------------------------- | ------- | ------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| Offset     | offset                    | offset  | Check page scale.                                                                                                                                                         |
| Limit      | limit                     | limit   | The number of date displays in each page.  **Maximum = 1000**                                                                                                             |
| Sort       | sort                      | sort    | Ranking according to the specified field ascending "+", or descending "-".                                                                                                |
| Filters    | filters                   | filter  | Query requirements of Specify field.                                                                                                                                      |
|            |                           |         | EQUAL\_TO    NOT\_EQUAL\_TO    LESS\_THAN    LESS\_THAN\_OR\_EQUAL\_TO    GREATER\_THAN    GREATER\_THAN\_OR\_EQUAL\_TO    CONTAINS    NOT\_CONTAINS    NULL    NOT\_NULL |
| Fields     | fields                    | field   | You can choose the field of the query (the result of the query is in line with the selected field).                                                                       |
|            | id                        | integer | The unique id for the pending affiliate.                                                                                                                                  |
|            | first\_name               | string  | The first\_name of the this affiliate.                                                                                                                                    |
|            | last\_name                | string  | The last\_name of the this affiliate.                                                                                                                                     |
|            | email                     | string  | The email of the this affiliate.                                                                                                                                          |
|            | company                   | string  | The company of the this affiliate.                                                                                                                                        |
|            | country                   | string  | The country of the affiliate’s physical address.                                                                                                                          |
|            | status                    | string  | Affiliate’s status.                                                                                                                                                       |
|            | instant\_message\_account | string  | Instant message account.                                                                                                                                                  |
|            | instant\_message\_type    | integer | Types of instant message.                                                                                                                                                 |
|            | phone                     | string  | The phone number of the affiliate.                                                                                                                                        |
|            | website                   | string  |                                                                                                                                                                           |
|            | create\_time              | integer | Create time.                                                                                                                                                              |

## Response body parameters <a href="#response-body-parameters-2" id="response-body-parameters-2"></a>

| Field                     | Type    | Description                                                                                                        |
| ------------------------- | ------- | ------------------------------------------------------------------------------------------------------------------ |
| id                        | integer | The unique id for the pending affilaite.                                                                           |
| first\_name               | string  | The first\_name of the this affiliate.                                                                             |
| last\_name                | string  | The last\_name of the this affiliate.                                                                              |
| email                     | string  | The email of the this affiliate.                                                                                   |
| company                   | string  | The company of the this affiliate.                                                                                 |
| country                   | string  | The country of the affiliate’s physical address.                                                                   |
| status                    | string  | Affiliate’s status.                                                                                                |
| instant\_message\_account | string  | Instant message account.                                                                                           |
| instant\_message\_type    | integer | Types of instant message.                                                                                          |
| phone                     | string  | The phone number of the affiliate.                                                                                 |
| website                   | string  |                                                                                                                    |
| create\_time              | integer | Create time.                                                                                                       |
| totalPages                | integer | The list of data pages (associated with your limit).                                                               |
| totalRows                 | integer | Total number of available data.                                                                                    |
| offset                    | integer | The number of records from a collection to skip. Iterating over large collections with this parameter can be slow. |
| limit                     | integer | The number of data displayed on one page                                                                           |

## Example request <a href="#example-request-2" id="example-request-2"></a>

**Request GET** [https://{networkname}.api.offerslook.com/v1/pending\_affiliates?sort=+id\&offset=1\&limit=10\&fields=id,email,status,company,last\_name\&filters\[status\]\[EQUAL\_TO\]=pending](https://{networkname}.api.offerslook.com/v1/pending_affiliates?sort=+id\&amp;offset=1\&amp;limit=10\&amp;fields=id,email,status,company,last_name\&amp;filters\[status]\[EQUAL_TO]=pending)

**Request GET** [http://{networkname}.api.offerslook.com/v1/pending\_affiliates?sort=+id\&offset=1\&limit=10\&fields=id,email,status,company,last\_name\&filters\[status\]\[EQUAL\_TO\]=pending](http://{networkname}.api.offerslook.com/v1/pending_affiliates?sort=+id\&amp;offset=1\&amp;limit=10\&amp;fields=id,email,status,company,last_name\&amp;filters\[status]\[EQUAL_TO]=pending)

## Example response <a href="#example-response-2" id="example-response-2"></a>

```
    {
      "code": 0,
      "message": "Success",
      "data": {
        "rowset": [
          {
            "id": 25,
            "email": "test@test.com",
            "last_name": "test",
            "status": "pending",
            "company": "Offerslook"
          }
        ],
        "totalPages": 1,
        "totalRows": 1,
        "offset": 1,
        "limit": 10
      }
    }
```
